#include "Student.h"
#include "Expr.h"

#include <iostream>
#include <fstream>

using namespace std;

void printPersonInfo(Person & person) {
  cout << person.getName() << " " << person.getAge() << "\n";
}

void printResult(ostream& out, int a, int b) {
  out << a << " + " << b << " = " << (a + b) << endl;
}

int main(int argc, char *argv[]) {
  Number three{3};
  Number four{4};
  Add a(&three, &four);
  cout << a.toString() << endl;
  Mul b(&three, &four);
  cout << b.toString() << endl;

  Add c(&b, &a);
  cout << c << endl;
  cout << c.eval() << endl;

  // Student * mehmet = new Student("Mehmet", 100, 111111);

  // cout << mehmet->getName() << " " << mehmet->getAge() << "\n";
  // printPersonInfo(*mehmet);

  // delete mehmet;
  // cout << "deleted mehmet\n";
  
  return 0;
}
